import { SimpleLocalIntegration } from '../../core/index.js';
import { Ld2410BleConfigFlow } from './ld2410_ble.classes.configflow.js';
import { createLd2410BleDiscoveryDescriptor } from './ld2410_ble.discovery.js';
import type { ILd2410BleConfig } from './ld2410_ble.types.js';
import { ld2410BleDomain, ld2410BleProfile } from './ld2410_ble.types.js';

export class Ld2410BleIntegration extends SimpleLocalIntegration<ILd2410BleConfig> {
  public readonly domain = ld2410BleDomain;
  public readonly discoveryDescriptor = createLd2410BleDiscoveryDescriptor();
  public readonly configFlow = new Ld2410BleConfigFlow();

  constructor() {
    super(ld2410BleProfile);
  }
}

export class HomeAssistantLd2410BleIntegration extends Ld2410BleIntegration {}
